ssossossosso

Forums

Covering OroCRM topics, including community updates and company announcements.  Subscribe

This topic contains 2 replies, has 2 voices, and was last updated by  Stefano7777777 1 year, 11 months ago.

  • Creator
    Topic
  • #13210

    Stefano7777777
    Participant

    hi,
    i’m new on OroCrm.
    I start to install it on my mac with mamp.
    I see this guide http://www.orocrm.com/documentation/index/current/book/installation but when i try to install it i have this error:

    php composer install
    Loading composer repositories with package information
    Installing dependencies (including require-dev) from lock file
    Your requirements could not be resolved to an installable set of packages.

    Problem 1
    – Installation request for oro/platform 1.7.0 -> satisfiable by oro/platform[1.7.0].
    – oro/platform 1.7.0 requires ext-intl * -> the requested PHP extension intl is missing from your system.
    Problem 2
    – Installation request for symfony/icu v1.2.2 -> satisfiable by symfony/icu[v1.2.2].
    – symfony/icu v1.2.2 requires ext-intl * -> the requested PHP extension intl is missing from your system.
    Problem 3
    – oro/platform 1.7.0 requires ext-intl * -> the requested PHP extension intl is missing from your system.
    – oro/crm 1.7.0 requires oro/platform 1.7.* -> satisfiable by oro/platform[1.7.0].
    – Installation request for oro/crm 1.7.0 -> satisfiable by oro/crm[1.7.0].

    i try a lot of solution that i’ve see on google but i don’t fine a solution that work.
    can you help me to install orocrm please?
    thank’s
    regards

Viewing 2 replies - 1 through 2 (of 2 total)
  • Author
    Replies
  • #13215

    Rodolfo
    Participant

    Hello!

    If you have php5.5 and you’re using brew in your Mac, you can install it using this:
    brew install php55-intl

    If you’re using php 5.6 try this:
    brew install php56-intl

    #13249

    Stefano7777777
    Participant

    sorry for my english anywhere
    thank’s that work
    brew install php56-intl

    now i’ve another problem, when i try to install it stop at step 3 Database initialization – Schema update Failed

    in oro_install.log give me this:
    (only last part)

    > Oro\Bundle\EntityExtendBundle\Migration\RefreshExtendCacheMigration
    > Oro\Bundle\EntityConfigBundle\Migration\UpdateEntityConfigMigration

    [PDOException]
    SQLSTATE[HY000] [2002] No such file or directory

    oro:entity-config:update [-f|–force] [–filter[=”…”]] [–dry-run] [-h|–help] [-q|–quiet] [-v|vv|vvv|–verbose] [-V|–version] [–ansi] [–no-ansi] [-n|–no-interaction] [-s|–shell] [–process-isolation] [-e|–env=”…”] [–no-debug] [–jms-job-id=”…”] [–current-user=”…”] [–current-organization=”…”] [–disabled-listeners=”…”] command

    ERROR: The command terminated with an exit code: 255.
    > Oro\Bundle\EntityExtendBundle\Migration\UpdateExtendConfigMigration – skipped
    > Oro\Bundle\ActivityListBundle\Migration\ActivityListMigration – skipped
    > Oro\Bundle\EntityExtendBundle\Migration\UpdateExtendIndicesMigration – skipped

    [RuntimeException]
    Failed migrations: Oro\Bundle\EntityConfigBundle\Migration\UpdateEntityConfigMigration.

    oro:migration:load [–force] [–dry-run] [–show-queries] [–bundles[=”…”]] [–exclude[=”…”]] [–timeout[=”…”]] [-h|–help] [-q|–quiet] [-v|vv|vvv|–verbose] [-V|–version] [–ansi] [–no-ansi] [-n|–no-interaction] [-s|–shell] [–process-isolation] [-e|–env=”…”] [–no-debug] [–current-user=”…”] [–current-organization=”…”] [–disabled-listeners=”…”] command

    Command “oro:migration:load” executed in 26 second(s), memory usage: 50.53Mb

Viewing 2 replies - 1 through 2 (of 2 total)

You must be logged in to reply to this topic.